NXOpen.UF.Sf.CreateContactMesh

Sf.CreateContactMesh()

Refer to UF_SF_create_contact_mesh for documentation.

Signature: CreateContactMesh(mesh, meshData, orientData)

Parameters:
  • mesh (Tag) – pointer to tag of the mesh to be updated. if NULL_TAG, create new mesh.
  • meshData (NXOpen.UF.Sf.ContactMeshData Refer to UF_SF_contact_mesh_data_s for documentation.) – Structure to mesh visual properties. Set members to UF_SF_MESH_VISUAL_NO_CHANGE whose attribute you do not want to change.
  • orientData (NXOpen.UF.Sf.OrientationData Refer to UF_SF_orientation_data_s for documentation.) – pointer to UF_SF_orientation_data_structure
Returns:

pointer to UF_SF_orientation_data_structure

Return type:

NXOpen.UF.Sf.OrientationData Refer to UF_SF_orientation_data_s for documentation.

License requirements: None